/*
 * Copyright 2005, 2006 University of Leiden.
 *
 * This file is part of MIA+EWS.
 *
 * MIA+EWS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MIA+EWS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MIA; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/* $Id: pfit.h,v 1.4 2002/05/08 21:24:48 jdejong Exp $ */
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: pfit.h,v 1.4 2002/05/08 21:24:48 jdejong Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jdejong 2002-05-08 created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

/* Routine to fit position and flux of the peak in an array  */
#ifndef PFIT_H
#define PFIT_H

int pfit (float a[9][9], float *s, float dx[2], float fblank);
/*--------------------------------------------------------------------*/
/*  Make a parabolic least-squares fit to a 9x9 matrix about the      */
/*  peak value in an array and determine strength and position        */
/*  of maximum.                                                       */
/*   Inputs:                                                          */
/*     a       Data input array[x][y]                                 */
/*     fblank  Value for blanked pixel                                */
/*  Outputs:                                                          */
/*     dx  Position of max relative to a[4][4]                        */
/*     s   Strength of max                                            */
/*     return  0=OK else failed                                       */
/*--------------------------------------------------------------------*/

#endif  /* PFIT_H */
/* */
